<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.ExaminationStructMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.ExaminationStruct">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="title_zh" jdbcType="VARCHAR" property="titleZh" />
    <result column="title_en" jdbcType="VARCHAR" property="titleEn" />
    <result column="parent_id" jdbcType="INTEGER" property="parentId" />
    <result column="order" jdbcType="INTEGER" property="order" />
    <result column="level" jdbcType="INTEGER" property="level" />
    <result column="is_adapt" jdbcType="INTEGER" property="isAdapt" />
    <result column="extend" jdbcType="VARCHAR" property="extend" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.ExaminationStruct">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="description" jdbcType="LONGVARCHAR" property="description" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `title_zh`, `title_en`, `parent_id`, `order`, `level`, `is_adapt`, `extend`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `description`
  </sql>
</mapper>